grk::mqc_state Struct Reference

`#include <mqc.h>`

## Public Attributes

uint32_t | qeval
| the probability of the Least Probable Symbol (0.75->0x8000, 1.5->0xffff)
uint32_t | mps
| the Most Probable Symbol (0 or 1)
const mqc_state * | nmps
| next state if the next encoded symbol is the MPS
const mqc_state * | nlps
| next state if the next encoded symbol is the LPS

## Member Data Documentation

## mps

uint32_t grk::mqc_state::mps

the Most Probable Symbol (0 or 1)

## nlps

const mqc_state* grk::mqc_state::nlps

next state if the next encoded symbol is the LPS

## nmps

const mqc_state* grk::mqc_state::nmps

next state if the next encoded symbol is the MPS

## qeval

uint32_t grk::mqc_state::qeval

the probability of the Least Probable Symbol (0.75->0x8000, 1.5->0xffff)

The documentation for this struct was generated from the following file:

- mqc.h